// Copyright © Selmo Technology GmbH. All Rights Reserved

using Novus.Connectivity.Common;
using Novus.Connectivity.Service;
using SelmoStudio.Hmi.Server.Shared.Service;

namespace SelmoStudio.Hmi.Server.ProcessValue.Services
{
    public interface IRegistrationService
    {
        List<ValuesConnectionRegistration> Registrations { get; }

        void AddRegistration(ValuesConnectionRegistration registration);

        void RemoveRegistration(ValuesConnectionRegistration registration);

        void Init();

        internal event EventHandler<RegistrationEventArgs> OnPollingComplete;

        void WriteValue(IProcessValue value);
    }
}